#-----
#EasySpot init
#
#Add-on for creating spot welding statements.
#-----
from vcApplication import *

def OnStart():
  localize = findCommand('netCommand') 

  #Open easy spot GUI in action panel.
  cmduri = getApplicationPath() + 'easyspot.py'
  cmd = loadCommand('easyspot',cmduri)
  localize.execute('SetLocalizationCommand', 'English', 'Python', cmd.Name, 'Text', 'Easy Spot') 
  localize.execute('SetLocalizationCommand', 'English', 'Python', cmd.Name, 'Tooltip', 'Used to generated spot welding statements')
  #addMenuItem('VcTabTeach/OLP', 'Easy Spot', -1, cmd.Name, 'Easy Spot', getCommandPath() + 'rSpotgun.svg')  
  addMenuItem('VcProgramStatements/ProgramStatements/Topology', 'Easy Spot', -1, cmd.Name, 'Easy Spot', getCommandPath() + 'rSpotgun.svg')
  
  #Create spot statements by clicking positions on the 3D model.
  cmduri = getApplicationPath() + 'createSpotStatements.py'
  cmd = loadCommand('easyspot_createSpotStatements',cmduri)
  
  #Export all spot statements into a CSV file.
  cmduri = getApplicationPath() + 'exportCSV.py'
  cmd = loadCommand('easyspot_exportCSV',cmduri)
  
  #Import spot statements from a CSV file. Can also used for mirroring spots.
  cmduri = getApplicationPath() + 'importCSV.py'
  cmd = loadCommand('easyspot_importCSV',cmduri)